JGraph X 1.4.0.9

## com.mxgraph.io
Class mxVdxCodec

    java.lang.Object
      com.mxgraph.io.mxVdxCodec

    public class mxVdxCodec

extends java.lang.Object

Parses a .vdx file and imports it in a given graph

Constructor Summary
`mxVdxCodec()`

Method Summary
`static void` `decode(org.w3c.dom.Document document, mxGraph graph)` Recieves a xml document and parses it generating a new graph that is inserted in graph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxVdxCodec

    public mxVdxCodec()

Method Detail

### decode

    public static void decode(org.w3c.dom.Document document,
                              mxGraph graph)

  Recieves a xml document and parses it generating a new graph that is inserted in graph.

  Parameters:
    `document` - XML to be parsed
    `graph` - Graph where the parsed graph is included.

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.